VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT Struct Reference

`#include <vulkan.hpp>`

## Public Member Functions

| ImportMemoryHostPointerInfoEXT (ExternalMemoryHandleTypeFlagBits handleType_=ExternalMemoryHandleTypeFlagBits::eOpaqueFd, void *pHostPointer_=nullptr)
| ImportMemoryHostPointerInfoEXT (VkImportMemoryHostPointerInfoEXT const &rhs)
ImportMemoryHostPointerInfoEXT & | operator= (VkImportMemoryHostPointerInfoEXT const &rhs)
ImportMemoryHostPointerInfoEXT & | setPNext (const void *pNext_)
ImportMemoryHostPointerInfoEXT & | setHandleType (ExternalMemoryHandleTypeFlagBits handleType_)
ImportMemoryHostPointerInfoEXT & | setPHostPointer (void *pHostPointer_)
| operator VkImportMemoryHostPointerInfoEXT const & () const
| operator VkImportMemoryHostPointerInfoEXT & ()
bool | operator== (ImportMemoryHostPointerInfoEXT const &rhs) const
bool | operator!= (ImportMemoryHostPointerInfoEXT const &rhs) const

## Data Fields

const void * | pNext = nullptr
ExternalMemoryHandleTypeFlagBits | handleType
void * | pHostPointer

## Private Attributes

StructureType | sType = StructureType::eImportMemoryHostPointerInfoEXT

## Detailed Description

Definition at line 32203 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ImportMemoryHostPointerInfoEXT() [1/2]

VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::ImportMemoryHostPointerInfoEXT | ( | ExternalMemoryHandleTypeFlagBits | handleType_ = `ExternalMemoryHandleTypeFlagBits::eOpaqueFd`,
|  | void * | pHostPointer_ = `nullptr`
| ) |  |

inline

Definition at line 32205 of file vulkan.hpp.

: handleType( handleType_ )
, pHostPointer( pHostPointer_ )
{
}

## ImportMemoryHostPointerInfoEXT() [2/2]

VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::ImportMemoryHostPointerInfoEXT | ( | VkImportMemoryHostPointerInfoEXT const & | rhs | ) |

inline

Definition at line 32212 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImportMemoryHostPointerInfoEXT ) );
}

References memcpy.

## Member Function Documentation

## operator VkImportMemoryHostPointerInfoEXT &()

VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::operator VkImportMemoryHostPointerInfoEXT & | ( |  | ) |

inline

Definition at line 32245 of file vulkan.hpp.

{
return *reinterpret_cast<VkImportMemoryHostPointerInfoEXT*>(this);
}

## operator VkImportMemoryHostPointerInfoEXT const &()

VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::operator VkImportMemoryHostPointerInfoEXT const & | ( |  | ) | const

inline

Definition at line 32240 of file vulkan.hpp.

{
return *reinterpret_cast<const VkImportMemoryHostPointerInfoEXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::operator!= | ( | ImportMemoryHostPointerInfoEXT const & | rhs | ) | const

inline

Definition at line 32258 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ImportMemoryHostPointerInfoEXT& VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::operator= | ( | VkImportMemoryHostPointerInfoEXT const & | rhs | ) |

inline

Definition at line 32217 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ImportMemoryHostPointerInfoEXT ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::operator== | ( | ImportMemoryHostPointerInfoEXT const & | rhs | ) | const

inline

Definition at line 32250 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( handleType == rhs.handleType )
&& ( pHostPointer == rhs.pHostPointer );
}

References handleType, pHostPointer, pNext, and sType.

Referenced by operator!=().

## setHandleType()

ImportMemoryHostPointerInfoEXT& VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::setHandleType | ( | ExternalMemoryHandleTypeFlagBits | handleType_ | ) |

inline

Definition at line 32228 of file vulkan.hpp.

{
handleType = handleType_;
return *this;
}

## setPHostPointer()

ImportMemoryHostPointerInfoEXT& VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::setPHostPointer | ( | void * | pHostPointer_ | ) |

inline

Definition at line 32234 of file vulkan.hpp.

{
pHostPointer = pHostPointer_;
return *this;
}

References pHostPointer.

## setPNext()

ImportMemoryHostPointerInfoEXT& VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 32222 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## handleType

ExternalMemoryHandleTypeFlagBits VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::handleType

Definition at line 32268 of file vulkan.hpp.

Referenced by operator==().

## pHostPointer

void* VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::pHostPointer

Definition at line 32269 of file vulkan.hpp.

Referenced by operator==(), and setPHostPointer().

## pNext

const void* VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::pNext = nullptr

Definition at line 32267 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::sType = StructureType::eImportMemoryHostPointerInfoEXT

private

Definition at line 32264 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::pHostPointer
void * pHostPointer
Definition: vulkan.hpp:32269
VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::operator==
bool operator==(ImportMemoryHostPointerInfoEXT const &rhs) const
Definition: vulkan.hpp:32250
VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::pNext
const void * pNext
Definition: vulkan.hpp:32267
VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::ImportMemoryHostPointerInfoEXT
ImportMemoryHostPointerInfoEXT(ExternalMemoryHandleTypeFlagBits handleType_=ExternalMemoryHandleTypeFlagBits::eOpaqueFd, void *pHostPointer_=nullptr)
Definition: vulkan.hpp:32205
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::handleType
ExternalMemoryHandleTypeFlagBits handleType
Definition: vulkan.hpp:32268
VULKAN_HPP_NAMESPACE::ImportMemoryHostPointerInfoEXT::sType
StructureType sType
Definition: vulkan.hpp:32264
handleType
GLuint64 GLenum handleType
Definition: gl2ext.h:1508
VkImportMemoryHostPointerInfoEXT
Definition: vulkan_core.h:8466